--[[
    Library functions
]]

local ADDON_NAME, ns = ...

local settings = ns.settings

local lib = ns.lib or {}

--------------------------------------------------------------------------------

lib.classRGBColour = function(class)
    local r = RAID_CLASS_COLORS[class].r
    local g = RAID_CLASS_COLORS[class].g
    local b = RAID_CLASS_COLORS[class].b
    return r, g, b
end

lib.classHexColour = function(class)
    return RAID_CLASS_COLORS[class].colorStr
end

lib.formatName = function(name)
    local txt
    if (string.len(name) > settings.display.name_clip) then
        txt = name:sub(1, settings.display.name_clip - 3) .. "..."
    else
        txt = name
    end
    return txt
end

lib.formatTime = function(time)
    if time <= 0 then
        return "READY"
    else
    local minutes = floor(time / 60);
    local seconds = ceil(time % 60);
    return ('%2i:%02i'):format(minutes, seconds)
    end
end

lib.colourAction = function(text)
    local colour = '|cffeeeeaa'
    return text:gsub('(<.->)', colour .. '%1' .. '|r')
end
-- ****************************************************************************
ns.lib = lib
