local ADDON_NAME, ns = ...

local OID = ns.OID
local lib = ns.lib
local L = ns.L

local DBIcon = LibStub('LibDBIcon-1.0')
local iconDB
local ICON_NAME = ADDON_NAME

local Minimap = {}

local launcher = OID.launcher


function Minimap:Hide(bool)
    iconDB.hide = bool
    DBIcon:Refresh(ICON_NAME, iconDB)
end

Minimap.MenuHide = {
    text = L['Show minimap icon'],
    checked = function() return not iconDB.hide end,
    func = function(self, arg1, arg2, checked) Minimap:Hide(checked) end
}

local function InitialiseMinimapIcon()
    if not DBIcon then return end

    if not OIDDB.minimap then
        OIDDB.minimap = {}
    end
    iconDB = OIDDB.minimap

    -- dumb workaround for bug when showing the icon after loading with it hidden
    -- the bug causes the icon not to fade properly (at least with dominos)
    local hidden = iconDB.hide
    iconDB.hide = false
    DBIcon:Register(ICON_NAME, launcher, iconDB)
    if hidden then
        Minimap:Hide(true)
    end
end

hooksecurefunc(OID, 'Initialise', InitialiseMinimapIcon)

OID.Minimap = Minimap
